#include "rotation.h"

Rotation::Rotation()
{
	CurrentMatrix[0] = 1;
	CurrentMatrix[1] = 0;
	CurrentMatrix[2] = 0;
	CurrentMatrix[3] = 1;
}

void Rotation::InitRotation(int x, int y)
{
	old_mouse.set(x, y);
	old_mouse = old_mouse.unit();
}

void Rotation::Rotate(int x, int y)
{
	vec new_mouse(x, y);
	vec_float sina, cosa;
	new_mouse = new_mouse.unit();
	sina = new_mouse ^ old_mouse;
	cosa = new_mouse * old_mouse;	
	Matrix Rot;
	SetRotationMatrixbySinCos(sina, cosa, Rot);
	MultiplyMatrices(CurrentMatrix, CurrentMatrix, Rot);
	old_mouse = new_mouse;
}